| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Digikam::DNNModelBase Class Referenceabstract
Inheritance diagram for Digikam::DNNModelBase:

## Public Member Functions
| DNNModelBase (const DNNModelInfoContainer &_info)
DownloadInfo | getDownloadInformation () const
const QString | getModelPath () const
float | getThreshold (int uiThreshold=DNN_MODEL_THRESHOLD_NOT_SET) const

## Public Attributes
const DNNModelInfoContainer | info
| Information about the model.
bool | modelLoaded = false
| Indicate if the model has been loaded.
QMutex | mutex
| Mutex to single-thread model during critical processing functions.

## Protected Member Functions
bool | checkFilename () const
const QPair< int, int > | getBackendAndTarget () const

## Protected Attributes
QMutex | loaderMutex

## Member Function Documentation

## ◆ getModelPath()

const QString Digikam::DNNModelBase::getModelPath | ( |  | ) | const

Returns
  path to the model, or null string if path cannot be found.

## ◆ getThreshold()

float Digikam::DNNModelBase::getThreshold | ( | int | uiThreshold = `DNN_MODEL_THRESHOLD_NOT_SET` | ) | const

Parameters

  uiThreshold | is the slider value from the UI.

Returns
  float threshold to be used by processing (FaceDetector, FaceRecognizer, etc...).